Activity log for bug #744929

Date Who What changed Old value New value Message
2011-03-29 12:57:33 Felix Lawrence bug added bug
2011-04-12 16:01:29 horzle bug added subscriber horzle
2011-04-16 20:30:42 Serhiy Zahoriya bug added subscriber Int
2011-04-19 01:55:55 Sandeep Agrawal bug added subscriber Sandeep Agrawal
2011-04-22 00:11:27 Dylan McCall bug added subscriber Dylan McCall
2011-04-22 00:15:43 Dylan McCall gnome-keyring (Ubuntu): status New Confirmed
2011-05-02 17:10:30 Jonathan Blackhall bug added subscriber Jonathan Blackhall
2011-05-03 11:32:29 coxackie bug added subscriber coxackie
2011-05-05 20:19:16 beytu bug added subscriber beytu
2011-05-06 14:25:16 Felix Lawrence bug watch added https://bugzilla.gnome.org/show_bug.cgi?id=649572
2011-05-06 14:25:16 Felix Lawrence bug task added gnome-keyring
2011-05-06 14:35:58 Bug Watch Updater gnome-keyring: status Unknown New
2011-05-06 14:35:58 Bug Watch Updater gnome-keyring: importance Unknown Medium
2011-05-12 15:55:18 Bug Watch Updater gnome-keyring: status New Confirmed
2011-05-24 18:52:27 Bug Watch Updater gnome-keyring: status Confirmed Fix Released
2011-05-24 19:15:22 Pedro Villavicencio gnome-keyring (Ubuntu): status Confirmed Triaged
2011-05-24 19:15:25 Pedro Villavicencio gnome-keyring (Ubuntu): importance Undecided Low
2011-05-31 12:45:31 Felix Lawrence attachment added upstream patch rebased for Ubuntu version https://bugs.launchpad.net/ubuntu/+source/gnome-keyring/+bug/744929/+attachment/2148983/+files/dont-prompt-multiple-times-rebased.patch
2011-05-31 17:33:10 Brian Murray bug added subscriber Ubuntu Review Team
2011-05-31 17:33:12 Brian Murray tags apport-bug i386 natty running-unity unity-2d apport-bug i386 natty patch running-unity unity-2d
2011-07-07 12:27:56 Sebastien Bacher nominated for series Ubuntu Natty
2011-07-07 12:27:56 Sebastien Bacher bug task added gnome-keyring (Ubuntu Natty)
2011-07-07 12:28:09 Sebastien Bacher gnome-keyring (Ubuntu): status Triaged Fix Released
2011-07-07 12:28:30 Sebastien Bacher gnome-keyring (Ubuntu Natty): importance Undecided Low
2011-07-07 12:28:30 Sebastien Bacher gnome-keyring (Ubuntu Natty): status New Triaged
2011-07-07 12:28:50 Sebastien Bacher bug added subscriber Ubuntu Sponsors Team
2011-07-15 15:27:22 Launchpad Janitor branch linked lp:~ken-vandine/ubuntu/natty/gnome-keyring/lp_744929
2011-07-15 15:59:58 Ken VanDine bug added subscriber Ubuntu Stable Release Updates Team
2011-07-17 14:53:59 Ivo bug added subscriber Ivo
2011-07-27 20:45:59 Stéphane Graber gnome-keyring (Ubuntu Natty): status Triaged Fix Committed
2011-07-27 20:52:43 Stéphane Graber removed subscriber Ubuntu Sponsors Team
2011-08-08 18:16:23 Clint Byrum gnome-keyring (Ubuntu): importance Low Medium
2011-08-08 18:16:24 Clint Byrum gnome-keyring (Ubuntu Natty): importance Low Medium
2011-08-11 15:59:01 Clint Byrum description Binary package hint: gnome-keyring I have auto-login set up on my laptop. When the desktop loads, it prompts me to unlock the keychain. I enter my password, and another prompt appears, identical to the first. In total, 4 prompts appear each time I turn on my laptop. The key thing is this: I only have to enter my password once. If I enter my correctly password on the first prompt, the keychain is unlocked and I can press "Cancel" (or hit escape) on all further prompts and the laptop works as expected. If I do not enter my password on the first prompt and hit "Cancel" on all 4 prompts, then the keychain is not unlocked and eventually I get prompted again. So it seems like multiple requests are being made to gnome-keyring when the keyring is locked, and gnome-keyring puts up a prompt for each of these requests, rather than waiting to see what happened after the first prompt was dealt with. This is seemingly related to the experience of some of the commenters on bug #637702, but it was suggested in the comments on that bug that new bugs should be filed with specific details. I would be happy to provide further information and/or help debug this. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: gnome-keyring 2.92.92.is.2.32.1-0ubuntu2 ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38 Uname: Linux 2.6.38-7-generic i686 Architecture: i386 Date: Tue Mar 29 23:32:08 2011 ProcEnviron: LANGUAGE=en_AU:en LANG=en_AU.UTF-8 SHELL=/bin/bash SourcePackage: gnome-keyring UpgradeStatus: Upgraded to natty on 2011-03-05 (24 days ago) Binary package hint: gnome-keyring TEST CASE: Start with a clean session and: 1. Mark it as autologin in gdmsetup 2. Add a WPA wireless network 3. Configure a jabber account in Empathy 4. Add empathy to the startup applications list 5. Log out, log back in 6. Verify keyring unlock question is asked twice 7. Install updated gnome-keyring from proposed 8. Repeat steps 5 9. Verify keyring unlock question is only asked once. I have auto-login set up on my laptop. When the desktop loads, it prompts me to unlock the keychain. I enter my password, and another prompt appears, identical to the first. In total, 4 prompts appear each time I turn on my laptop. The key thing is this: I only have to enter my password once. If I enter my correctly password on the first prompt, the keychain is unlocked and I can press "Cancel" (or hit escape) on all further prompts and the laptop works as expected. If I do not enter my password on the first prompt and hit "Cancel" on all 4 prompts, then the keychain is not unlocked and eventually I get prompted again. So it seems like multiple requests are being made to gnome-keyring when the keyring is locked, and gnome-keyring puts up a prompt for each of these requests, rather than waiting to see what happened after the first prompt was dealt with. This is seemingly related to the experience of some of the commenters on bug #637702, but it was suggested in the comments on that bug that new bugs should be filed with specific details. I would be happy to provide further information and/or help debug this. ProblemType: Bug DistroRelease: Ubuntu 11.04 Package: gnome-keyring 2.92.92.is.2.32.1-0ubuntu2 ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38 Uname: Linux 2.6.38-7-generic i686 Architecture: i386 Date: Tue Mar 29 23:32:08 2011 ProcEnviron:  LANGUAGE=en_AU:en  LANG=en_AU.UTF-8  SHELL=/bin/bash SourcePackage: gnome-keyring UpgradeStatus: Upgraded to natty on 2011-03-05 (24 days ago)
2011-08-11 15:59:27 Clint Byrum bug added subscriber SRU Verification
2011-08-11 15:59:29 Clint Byrum tags apport-bug i386 natty patch running-unity unity-2d apport-bug i386 natty patch running-unity unity-2d verification-needed
2011-08-12 16:19:26 Jean-Baptiste Lallement tags apport-bug i386 natty patch running-unity unity-2d verification-needed apport-bug i386 natty patch running-unity unity-2d verification-done
2011-08-12 16:45:35 William Makley bug added subscriber William Makley
2011-08-17 12:53:25 Launchpad Janitor branch linked lp:ubuntu/natty-proposed/gnome-keyring
2011-08-18 16:05:42 Adam Spiers bug added subscriber Adam Spiers
2011-08-18 16:59:19 Launchpad Janitor gnome-keyring (Ubuntu Natty): status Fix Committed Fix Released